import React from 'react';

export const EyeIcon = ({ fill = '#FFFFFF', ...props }) => (
	<svg width='23px' height='14px' viewBox='0 0 23 14' className='eye-icon-components' {...props}>
		<g id='Page-1' stroke='none' strokeWidth='1' fill='none' fillRule='evenodd'>
			<g id='Status-for-campaign-cards' transform='translate(-729.000000, -588.000000)' fill={fill}>
				<g id='Group-2' transform='translate(667.000000, 93.000000)'>
					<g id='Group' transform='translate(36.000000, 485.000000)'>
						<path d='M39.0113398,16.5519452 C39.0441515,16.6961406 39.0614194,16.8455128 39.0614194,17.0000663 C39.0614194,18.1044209 38.1617068,18.9998232 37.0521798,18.9998232 C35.9426528,18.9998232 35.0429402,18.1044209 35.0429402,17.0000663 C35.0429402,15.8957118 35.9426528,15.0003095 37.0521798,15.0003095 C37.2775335,15.0003095 37.4942664,15.0365738 37.6963221,15.1047878 C37.454545,15.2835212 37.2974053,15.5710566 37.2974053,15.8948408 C37.2974053,16.4370822 37.7377678,16.8774447 38.2800091,16.8774447 C38.5701285,16.8774447 38.8308933,16.7513815 39.0113531,16.5519142 L39.0113398,16.5519452 Z M37.0521665,24 C43.1558358,24 48.1043328,17 48.1043328,17 C48.1043328,17 43.1558358,10 37.0521665,10 C30.9484972,10 26,17 26,17 C26,17 30.9484972,24 37.0521665,24 Z M37.0521665,20.9995579 C39.2721046,20.9995579 41.0716183,19.2087533 41.0716183,17 C41.0716183,14.7912467 39.2721931,13.0004421 37.0521665,13.0004421 C34.83214,13.0004421 33.0327147,14.7912467 33.0327147,17 C33.0327147,19.2087533 34.83214,20.9995579 37.0521665,20.9995579 Z' />
					</g>
				</g>
			</g>
		</g>
	</svg>
);
